削除 (V1)
ノート
コレクションから1つ以上のエンティティを削除します。
POST/v1/vector/delete
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API key、または username:password のようにコロンで結合した username と password の組み合わせである必要があります。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
dbNamestring
データベースの名前。
collectionNamestring必要
この操作が適用されるコレクションの名前。
idoneOf必要
(近日追加予定)
string
削除するエンティティの ID
削除するエンティティの ID の配列
integer
削除するエンティティの ID
削除するエンティティの ID の配列
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"collectionName": "my_collection",
"id": "4321034832910"
}'
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v1/vector/delete" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"id": [
4321034832910,
4321034832911
]
}'
レスポンス200 OK - application/json
空のオブジェクトを返します。
codeinteger
レスポンスコード。
dataobject
空のオブジェクトであるレスポンスペイロード。
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 200,
"data": {}
}